Save integration
curl --request POST \
--url https://sandbox.tight.com/v6/integrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "ACTIVE",
"apiAccessToken": "<string>",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
'import requests
url = "https://sandbox.tight.com/v6/integrations/{id}"
payload = {
"status": "ACTIVE",
"apiAccessToken": "<string>",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'ACTIVE',
apiAccessToken: '<string>',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
})
};
fetch('https://sandbox.tight.com/v6/integrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "int_12345",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"apiAccessToken": "<string>",
"additionalConsentRequired": false,
"apiUsername": "<string>",
"lastSyncedDate": "2023-12-25",
"apiInstitutionId": "<string>",
"apiInstitutionName": "<string>",
"apiErrorType": "<string>",
"apiErrorCode": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Integrations & Migrations
Save integration
Save (or update an existing) integration
POST
/
v6
/
integrations
/
{id}
Save integration
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Path Parameters
The id of the integration
Body
application/json
Status of the integration
Available options:
ACTIVE, INACTIVE, REMOVED Example:
"ACTIVE"
Name of the OAuth Provider
Available options:
BOX, CLOVER, STRIPE, PLAID, KNOX, UBER, FRESHBOOKS, HARVEST, KW, FRESHBOOKS2, CAPITAL_ONE, SQUARE, DOTLOOP, REALOGY, UPWORK, SHOPIFY, DEDUCTR, ENTERPRISE, MOXIWORKS, APPDIRECT, LONEWOLF, LONEWOLF_TRANSACTIONDESK, SAMPLE_BANK, TAXBOT, GUSTO, XERO, UNIT, MOOV, QBO, QUALPAY, BENCH, PARTNER_IMPLEMENTATION, CHECK, RUTTER, WAVE, MANUAL_ENTRY, CSV_IMPORT, ADYEN, PAYABLI Access token of the integration
Custom JSON in which you can store any data with max length of 2000 characters
Show child attributes
Show child attributes
Example:
{
"internal_key": "some_internal_key",
"some_other_field": 23434
}
⌘I